> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Article

> Archive Article.

Archiving an article temporarily removes it from public access without deleting its data.

Archived articles can be restored at any time, allowing you to republish or edit them later as needed.


## OpenAPI

````yaml PUT /articles/archive
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags: []
paths:
  /articles/archive:
    put:
      tags:
        - Articles
      summary: Archive article
      description: >-
        Archives an article (e.g., sets `isPublished=false` / marks as archived
        per business logic).
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - id
              properties:
                id:
                  type: string
                  pattern: ^[a-fA-F0-9]{24}$
                  example: '{{objectId}}'
            examples:
              Archive:
                value:
                  id: '{{objectId}}'
      responses:
        '201':
          description: Archived
          content:
            application/json:
              example:
                success: true
                statusCode: 201
                message: Article archived
                data:
                  id: '{{objectId}}'
                  isPublished: false
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                success: false
                statusCode: 401
                message: Unauthorized
                data: null
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                success: false
                statusCode: 403
                message: Forbidden
                data: null
        '404':
          description: Not found
          content:
            application/json:
              example:
                success: false
                statusCode: 404
                message: Not found
                data: null
        '500':
          description: Server error
          content:
            application/json:
              example:
                success: false
                statusCode: 500
                message: Internal server error
                data: null
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````